# Top-level API for fast-seqfunc

::: fast_seqfunc

# API Reference

This page provides the API reference for Fast-SeqFunc.

## Core API

These are the main functions you'll use to train models and make predictions.

::: fast_seqfunc.core
    options:
      show_root_heading: false
      show_source: false

## Embedders

Sequence embedding methods to convert protein or nucleotide sequences into numerical representations.

::: fast_seqfunc.embedders
    options:
      show_root_heading: false
      show_source: false

## Models

Model classes for sequence-function prediction.

::: fast_seqfunc.models
    options:
      show_root_heading: false
      show_source: false

## CLI

Command-line interface for Fast-SeqFunc.

::: fast_seqfunc.cli
    options:
      show_root_heading: false
      show_source: false
