## Version 0.1.0

This release introduces significant enhancements to the synthetic data generation capabilities, along with improvements in code clarity and CI/CD processes.

### New Features

- Added support for generating synthetic data tasks involving integer sequences. This includes new task generators for operations such as sum, max, and pattern-based tasks. The existing task generators have been enhanced to accommodate both biological and integer sequence types. The command-line interface (CLI) and documentation have been updated to reflect these new options. (555f0c) (Eric Ma)

### Bug Fixes

- Updated the continuous integration (CI) configuration to prevent the publishing of PyPI packages during pull request events, ensuring that packages are only published when appropriate. (7b9d65) (Eric Ma)

### Refactoring

- Refactored variable names in `synthetic.py` for improved clarity and consistency. Corresponding test cases in `test_synthetic.py` were adjusted to align with these changes. Comments were added to clarify default values. (29d56d) (Eric Ma)
